tigase.jaxmpp.core.client

## Interface Property

- All Known Implementing Classes:
    DefaultRosterStore, FileTransferManager, GWTPresenceStore, GwtRosterStore, J2SEPresenceStore, PresenceStore, RosterStore

      public interface Property

  Base interface for classes which may be stored in JaxmppCore as "properties" by using methods set and get on JaxmppCore instance.
  Author:
    andrzej

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class<? extends Property>` | `getPropertyClass()` Method which returns class which implements this interface which may be used as a key to store instance of this class in JaxmppCore.

- - ### Method Detail

    - #### getPropertyClass

          Class<? extends Property> getPropertyClass()

      Method which returns class which implements this interface which may be used as a key to store instance of this class in JaxmppCore.
      Returns:

Copyright © 2006–2020 Tigase. All rights reserved.